﻿## The script of the game goes in this file.

## Declare characters used by this game. The color argument colorizes the name
## of the character.

define i = Character('Imphie')
define d = Character(_('Dude Box'), color="#a98080")
define a = Character(_('Disappearo'), color="#1c2806")

init python:
    config.screen_width = 1024
    config.screen_height = 600

init:
    ##backgrounds
    image white = "WhiteBg.png"
    image product = "VNBg.png"
    image success = "SuccessBg.png"
    image shower = "ShowerBg.png"
    image pretty = "PrettyColors.png"
    image novel = "NovelChartBg.png"
    image meteor = "MeteorBg.png"
    image insurance = "InsuranceBg.png"
    image inception = "Inception.png"
    image cry = "ImphieCryBg.png"
    image harambe = "HarambeBg.png"
    image gainax = "GainaxBg.png"
    image death = "DeathBg.png"
    image anime = "AnimeChartBg.png"
    image end = "EndBg.png"
    image approach = "ApproachBg.png"
    image intro = "Intro.png"
    image fin = "Fin.png"
    
    ##characters
    image Italk = "ImphieTalk.png"
    image Inormal = "ImphieNormal.png"
    image Iangry = "ImphieAngry.png"
    image Igirl = "ImphieGirl.png"
    image gal = "GalBox.png"
    image dude = "DudeBox.png"
    image dis = "disappearo.png"

## The game starts here.

label start:

scene white
with fade
show Inormal at center

"Hello."
   
i "My name is Imphie and this is my first visual novel."

i "Woohoo!!!" 

i "I am so excited."
   
i "Aren't you excited?"

i "I know that I look just like a stick figure" 

i "but that’s okay." 

i "If I had an artist, I’d be very handsome."

i "and up here is the dialogue box where the writer can lure you in" 

i "with an awesome hook and a heart gripping story"

i "if I had one!"

scene cry
with dissolve

"{i}crying begins{/i}"
 
d "Oh no, what’s wrong?"

i "I don’t have a writer."

i "I don’t have an artist."

i "I don’t have any friends!"

"{i}crying escalates{/i}"

scene white
with dissolve
show dude at left
show Italk at right

d "Don’t be like that."

d "I’ll help you make a visual novel."

i "Really?"

d "Of course, I will!"

i "Can you be my writer? "

i "My grammar is terrible."

d "Well, I don’t have any arms but I can keep you company at least."

i "I don’t need your company. "

i "I need human people who can write and draw things!"

d "Quiet!" 

d "I can hear something."

i "Hear what?" 

i "No one is composing music for this game."

d "Oh snap!" 

d "I forgot but what I was about to say is that you sound like "

d "a big whiny baby."

i "Don’t call me that!" 

i "You’re just a box. I can undo you."

d "My point is that instead of spending your time crying," 

d "why don’t you make a visual novel all by yourself."

i "I acn’t. I told you my grammar is terrible."

i "and I acn only draw stikc figures."

d "You’re misspelling that on purpose aren’t you?"

i "*Your"

d "Ha." 

d "Anyways, just go make one, dude. "

d "You got enough talent to do it all on your own."

i "It’s too much effort for one person. I’ll get really tired."

d "If it’s too much for you then why not try looking for people again? "

d "There’s gotta be lots of writers and artists out there."

i "I did but they won’t work with me unless I made a visual novel before "

i "like what’s the big deal with that? "

i "How can I show you that I am capable of making a game if no one wants to help me in the first place?" 

i "It is a goddamn paradox!" 

d "But you did find people to help you right?"

i "Yes but they all abandoned me! "

i "I have trust issues because of it." 

d "So just try and try again." 

d "You will fail a lot but eventually succeed."

i "It’s going to be the same thing over and over" 

i "and over..."

i "Someone is going to write three hundred words for me"

i "then complain that he/she can’t do it because homework and deadlines." 

i "Another who quit because I was asking for a sample" 

i "and my personal favorite “The Disappearo”."

d "What the hell is a “Disappearo”?"

i "Oh, that’s easy."

show dis at center

i "It’s someone who walks up to you saying “Wow! You’re story is amazing."

i "I look forward to working with you” but after two weeks..." 

i "WAPISH!" 

hide dis

i "Gone!" 

show dis at center

a "That’ll be two fifty" 

a "and you have to credit me because I was involved" 

a "even though I was not in contact for nine eleven weeks."

hide dis

d "You’re being too negative about this." 

d "Maybe people left because you imposed deadlines that reminded them about their high school years."

i "I was only trying to keep them off their asses. "

i "I know that people who like anime tend to procrastinate a lot."

d "You expect too much from people. "

d "Not everyone has the same organized and responsible mentality like you."

i "Awww, thanks." 

i "Maybe, I should try to make a visual novel on my own. "

i "If I do that, I can get people with mad skills to help me in future projects "
                                                                                 
i "for free even!"

d "Gur.." 

d "ki..." 

d "er..." 

d "Yes? Absolutely!"

hide Italk
show Iangry at right

i "Wait. You lie to me? "

i "Boxes don’t lie."

d "Yeah, and cakes don’t." 

scene product
with dissolve

d "Go make that game."

i "Alright. "

i "I will make an amazing one that all the critics and reviewers will love. "

i "A really boring story with the dryest romance possible..." 

i "like Clannad."

d "What did you just say?"

i "Nothing." 

scene shower
with dissolve

i "I’ll go take a shower." 

i "Teeeheeeheee!"

d "I hope your shower is German."

"{i}two hours later{/i}"

scene white
with dissolve
show dude at left
show Italk at right

i "I’m back and ready for work. "

i "Yippeee!"

d "That took so long." 

d "Who the hell showers for two hours."

i "Your not human so you wouldn’t understand."

d "*You’re"

i "Touché."

d "Make it fast next time or people might uninstall."

i "Now, let’s get this VN started. Wubba Lubba Dub Dub!"

d "Dude, that actually means-"

i "I’m so pumped." 

i "Once this baby of mine is released "

scene pretty
with dissolve

i "everyone will be so all over it that Madhouse will turn it into an anime."

d "But that means we won’t be getting a sequel."

i "I don’t care. "

i "I will be super handsome with all the pretty colors."

d "Pretty colors? "

d "I think it would be better if Kyoto Animation handled us."

scene white
with dissolve
show Igirl at right
show gal at left

i "Uh, no way. Your idea is terribad. "

i "If they turned this into anime, I would be a girl and you would be Gal Box." 

i "We’ll be stuck doing cute things all day "

i "and the people who are into that stuff look like Jonah Hill."

d "Dude, Jonah Hill is funny "

d "and your opinion is invalid. "

d "I hope you get Gainax."

scene gainax
with fade

i "You dare!"

d "Gainax! Gainax! Gainax!"

i "Shut up! Shut up! Shut up!"

d "Gainax! Gai-Nax! Re:GAInAx! Gainax X Gainax! A Gainax! G@inax DXD! G41n4X/Zero! Ga1nax B1bl3! to G4in4x! G41n4x4t4r1! D4t3 a G6@1N4X!!!"

i "Oh yeah? "

scene white
with dissolve
show Iangry at right
show dude at left

i "Well I hope you..."

i "you..."

i "get shyamalan’d."

d "What?" 

d "You take that back!!!"

i "I’m sorry." 

i "That was a really douchebag thing to say."

d "You should be ashamed of yourself." 

d "You never want that to happen to anyone."

d "No matter how evil."

i "I know. I know." 

i "I’m sorry, sheesh." 

i "At least, we can all agree that our show is going to top the charts."

d "People actually care about anime charts?"

i "Well yeah, charts are important. "

i "How else would you know what is better. "

i "Look here. I made this while I was in the shower. "

scene anime
with dissolve
show Italk at right

i "First, as you can see, is Gintama" 

i "at the bottom "

i "then after that is everything else that isn’t Gintama." 

i "Finally, at number one is my anime."

d "That's a list- "

i "Anime isn’t the only thing that has charts. "

i "Novel’s are treated the same way too." 

scene novel
with dissolve
show Italk at right

i "This time you see Fate/Stay Night"

i "underneath "

i "followed by everything else that isn’t Nasu "

i "lead by my novel which is found at the top. "

i "There are charts for everything! Isn’t it amazing?"

d "No." 

d "Whatever you’re doing is not gonna work." 

i "I’m just showing you charts."

scene white
with dissolve
show dude at center

d "Dude. Cut the crap. "

d "I am a box." 

d "Boxes do not get triggered." 

show Inormal at right

i "Alright." 

i "I’ll stop. "

scene harambe
with dissolve

i "{size=-10}Harambe.{/size}"

scene white

hide dude
show dude at left
show Inormal at right

d "Ugh, shouldn’t you be doing something?"

i "Oh! The game. "

i "I’ll get right to it. Wait here."

"{i}0 seconds later{/i}"

scene success
with dissolve

i "TADAAAA!!!!! "

i "All done. Blockbuster guaranteed."

d "What?" 

d "You were just standing there and a game appeared in your hands so suddenly." 

d "How did that happen?"

i "Oh easy peasy!" 

i "I used time resets."

d "The hell is a time reset?"

i "It allows me to ass pull the plot to a more desirable outcome "

i "just in case I write myself in a corner. "

i "That way, I can send people on pointless emotional roller coasters that doesn’t even matter to the plot "

i "because it never actually happened."

d "So what? Travelling through time is a legit form of story telling."

i "That’s because you’re a filthy "

i "ca..." 

i "su..." 

i "rance. "

scene insurance
with fade

d "Car Insurance?"

i "Woah. Let’s not get into something offensive here."

d "Well. Can I try your game?"

i "Of course! It should take you a couple of minutes to complete..." 

i "or an hour."

d "Oh that blows!" 

d "The game should be longer or it’s not worth the time."

i "You expect me to give you a game with a month’s worth of gameplay "

i "while being completely free to play without any microtransactions or dlc? "

i "Aha ha ha ha ha!" 

i "The self entitlement is so strong in you." 

i "I’ll do it but I’m gonna load a ton of ads on this mofo."

d "Well, I guess you have a point. "

scene intro
with fade

"{i}Game begins{/i}"

i "So what do you think? "

i "Pretty sweet huh?"

d "This is... "

d "just a game with our conversation as dialogue."

d "Pretty much."

d "So this is a kinetic novel?"

i "Nope." 

i "It has choices right here. "

i "See."

menu:
    "pikc meh.":
        pass
    "Pick me.":
        pass

d "I guess it’s not kinetic anymore? "

d "I don’t know."

scene inception
with dissolve

d "Woah!" 

d "I got to the part where I say "

d "Woah! I got to the part."

d "It’s like that trippy movie with dreams."

i "Like incestion" 

"{i}cough{/i}" 

i "Inception."

d "Yeah! That is awesome, dude." 

i "Well, you should wait and see the ending." 

scene meteor
with dissolve

i "There is a giant meteor that is about to hit us "

i "so I confess my love to you before we all die."

d "But I`m a male box. You can't do that."

i "You lying again!" 
         
i "There is no mail inside you"

i "just hot air."

d "No. I mean that I`m a guy. "

d "You know, Dude Box."

i "So what? Being gay is not gay anymore." 

i "I’ll advertise this visual novel as otome."

scene white
with dissolve
show Italk at right
show dude at center

d "Dude. "

d "This is not a gay otome game." 

d "In fact it’s soooooo far from it."

i "I don’t think so." 

i "What could be more otome than two guys doing it?" 

i "That’s as otome an otome can get."

d "No. You misunderstand. "

d "Two guys doing it is called Y-"

i "Yoooozalipatigajh! "

scene approach
with dissolve

i "Look up! There’s some kind of giant rock heading towards us!"

d "Oh my god! I can’t see." 

d "I don’t have a neck." 

d "All I have are my conveniently placed carton flaps."

i "We are all going to die. "

i "Db, I love you. "

i "Now flip over." 

i "I will go inside you!"

d "That’s sick! "

d "Stay away from me."

i "FLIP OVER!!!"

scene death
with dissolve

d "Ah! Your head is gross dude. "

d "I haven’t felt this dirty since I was shipped back to Amazon."

a "Oh, yes!" 

a "Oh, ho, ho, yes!"

a "My ancestors are aroused!"

i "Here it comes. Brace yourself!"

"{i}Meteor Crash{/i}"

i "OOH EEH OOH AH TING TANG WALLA WALLA BIG BANG!"

scene white
with dissolve

i "Ugh." 

i "I feel so weird and..."

scene end
with dissolve

i "magical. "

i "Woah! I’m a wizard now and I’m not even thirty yet." 

i "Hmmm..."

i "The atmosphere is gone and my visual novel got torched."

i "Huh? Hey, Dude Box? "

i "DB are you alright? "

i "Oh, I guess you can’t talk because you’re my hat now "

i "but that’s okay." 

i "Teeheehee! "

i "Who cares if everything is gone?" 
   
i "I got so much power dust that I don't need to make a visual novel anymore."

i "I can make my own reality now."

i "Thanks, Cthulhu!"

scene fin

i "The story is now over."

i "I am glad that you took the time to read all of it"

i "assuming that you didn't skip."

i "Did you enjoy it?"

i "I hope you did because that means I get to make a part 2."

i "Teeheehee!"

i "See ya next time."
    ## This ends the game.

return
